using System;

namespace Cetvrti
{
    class Program
    {
        static void Main(string[] args)
        {
            string tekst = Console.ReadLine();
            string zabranjena_rec = Console.ReadLine();
            int koliko_ih_ima = 0;
            if (zabranjena_rec.Length == 1)
            {
                Console.WriteLine(zabranjena_rec.Length);
                for (int i = 0; i < tekst.Length; i++)
                {
                    if (tekst[i].ToString() != zabranjena_rec)
                    {
                        Console.Write(tekst[i]);
                    }
                    else
                    {
                        Console.Write("*");
                    }
                }
            }
            else
            {
                for(int i = 0; i < tekst.Length; i++)
                {
                    if(tekst[i] == zabranjena_rec[0])
                    {
                        koliko_ih_ima++;
                    }
                }
                Console.WriteLine(koliko_ih_ima - zabranjena_rec.Length + 1);
                for (int i = 0; i < tekst.Length; i++)
                {
                    if(tekst[i] == zabranjena_rec[0] && koliko_ih_ima != zabranjena_rec.Length - 1)
                    {
                        koliko_ih_ima--;
                        Console.Write("*");
                    }
                    else
                    {
                        Console.Write(tekst[i]);
                    }
                }
            }
        }
    }
}